
> npm install
> npm update
> npm run start3G
> npm run start4G
> ng serve

http://localhost:4200
or
http://localhost:4200/demo2


BABYLONJS HAVOK:
https://www.npmjs.com/package/@babylonjs/havok?activeTab=readme
Here is described how to use/initialize havok physics with BayblonJS. (But it does not work).

Because:
Not allowed to load local resource: file:///C:/Users/Bogdan/Desktop/angular-babylonjs-havok/node_modules/@babylonjs/havok/lib/esm/HavokPhysics.wasm

Stack:
demo2.component.ts:68 ERROR Error: Uncaught (in promise): TypeError: Failed to fetch
TypeError: Failed to fetch
at zone.js:1498:36
at proto.<computed> (zone.js:962:24)
at instantiateAsync (HavokPhysics_es.js:9:8540)
at createWasm (HavokPhysics_es.js:9:9159)
at HavokPhysics_es.js:9:40038
at demo2.component.ts:68:40
at Generator.next (<anonymous>)
at asyncGeneratorStep (asyncToGenerator.js:3:1)
at _next (asyncToGenerator.js:22:1)
at asyncToGenerator.js:27:1
at resolvePromise (zone.js:1193:31)
at zone.js:1100:17
at zone.js:1116:33
at asyncGeneratorStep (asyncToGenerator.js:6:1)
at _throw (asyncToGenerator.js:25:1)
at _ZoneDelegate.invoke (zone.js:368:26)
at Object.onInvoke (core.mjs:11061:33)
at _ZoneDelegate.invoke (zone.js:367:52)
at Zone.run (zone.js:129:43)
at zone.js:1257:36

I try this:
angular.json settings
"build": {
  "extensions": [
  ".js",
  ".css",
  ".html",
  ".wasm"
  ],
}
and 
webpack.config.js
module.exports = {

  module: {
    rules: [
    {
    test: /\.wasm$/,
    loader: 'wasm-loader',
    },
    ],
  },
}

This settings suggested Bard AI chat/searcher
Still not works !!!

 
